pub use std::collections::HashMap;

use crate::message::*;

pub trait Output {
    fn new(config: &HashMap<String, serde_yaml::Value>) -> Result<Self, Box<dyn std::error::Error>>
    where
        Self: Sized;
    fn process_message(&mut self, message: Message);
}
